header {
    width: 100%;
    padding: 0;
    margin: 0;
}

@media screen and (max-width: 5000px) {
    .header-bottom {
        display: block !important;
    }
}

.btn-without-padding {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.header-custom {
    transition: all 0.3s ease;
}

.header-custom.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0 4px 2px -2px gray;
}

#a_header_page_info {
    margin-right: 1rem;
    font-family: sans-serif;
    color: #FFFFFF;
    font-size: 1.1rem;
    white-space: nowrap;
}

#a_header_page_info:hover {
    color: #f5dd5d;
}

.top_header_buttons {
    font-size: 5px;
}

#id_top_wishlist:hover {
    color: red;
}

/* Стили для элемента header-middle */
@keyframes fadeIn {
    from {
        transform: translateY(-100%);
    }
    to {
        transform: translateY(0);
    }
}

@keyframes fadeOut {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-100%);
    }
}


.header-left, .header-center, .header-right {
    display: flex;
    align-items: center;
}

.header-left {
    justify-content: flex-start;
}


.header-right {
    justify-content: flex-end;

}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
    cursor: pointer;
    color: white;
}

.overlay .closebtn:hover {
    color: #ccc;
}

/* Style the search field */
.overlay input[type=text] {
    padding: 15px;
    font-size: 17px;
    border: none;
    float: left;
    width: 80%;
    background: white;
}

.overlay input[type=text]:hover {
    background: #f1f1f1;
}

/* Style the submit button */
.overlay button {
    float: left;
    width: 20%;
    padding: 15px;
    background: #ddd;
    font-size: 17px;
    border: none;
    cursor: pointer;
}

.overlay button:hover {
    background: #bbb;
}

/* Responsive styles */
@media screen and (max-width: 991px) {
    .header-middle .header-center {
        display: block !important;
        max-width: 100%;
    }
}

.search-button .search-label-icon {
    font-size: 20px; /* Размер лупы */
}

.header-top .container::after, .header-top .container-fluid::after {
    content: '';
    display: block;
    height: 1px;
    position: absolute;
    bottom: -1px;
    left: 10px;
    right: 10px;
    background-color: transparent;
}

.fixed-nav {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.header-intro-clearance .header-bottom .container::after {
    position: initial;
    content: '';
    right: 28rem;
    height: 1.5rem;
    width: .1rem;
    top: 50%;
    background-color: transparent;
    transform: translateY(-50%);
}

.menu li {
    position: relative;
    text-align: center;
}

.menu .sf-arrows > li > a {
    padding-left: 10px;
    padding-right: 10px;
}

.header-search-extended .header-search-wrapper {
    border-radius: 10px !important;
}


.nav-button:hover {
    background-color: rgb(91, 16, 157);
    color: #f0db26;
}

.nav-button-active {
    background-color: rgb(91, 16, 157) !important;
    color: #f0db26 !important;

}

.top_phone_widget {

}

.nav-button {
    background-color: #f0db26;
    white-space: nowrap;
    position: relative; /* Для правильного позиционирования псевдоэлемента */
    font-size: 15px;
    border-radius: 5px;
    margin: 1px 1px;
    flex: 1 1 auto; /* Flex-grow, flex-shrink, flex-basis */
    max-width: 100%; /* Ограничить максимальную ширину кнопок */
    box-sizing: border-box; /* Учитывать отступы и границы в ширине */
    overflow: hidden; /* Скрыть выезжающую полоску, когда она не активна */
    border: 1px solid rgb(91, 16, 157);
    color: black;
}

.nav-button::before {
    content: '';
    position: absolute;
    top: 0; /* Полоска сверху кнопки */
    left: -100%; /* Начальная позиция полоски за пределами кнопки */
    width: 100%;
    height: 4px; /* Высота полоски */
    background-color: #f0db26; /* Цвет полоски */
    transition: left 0.3s ease; /* Плавный переход для анимации */
}

.nav-button:hover::before {
    left: 0; /* Полоска выезжает в видимую область при наведении */
}

.header-bottom {
    background-color: yellow !important;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap; /* Позволяет кнопкам переноситься на новую строку при необходимости */
}
